# El manual de &kabcclient;

Kevin
Krammer

     kevin.krammer@gmx.at

&traductor.Antoni.Bella;
2008
Kevin Krammer
&FDLNotice;
20-11-2008
1.1.1

&kabcclient; és una interfície de línia d'ordres per a les llibretes d'adreces del &kde;.

KDE
&package;
&kappname;
KAddressBook

## Introducció

&kabcclient; és una interfície de línia d'ordres per a la llibreta d'adreces del &kde;. Permet llistar, cercar, inserir, eliminar o fusionar els contactes a través de la línia d'ordres o des d'un llenguatge per crear scripts. &kabcclient; pot gestionar una varietat de formats d'entrada i de sortida, permetent-vos utilitzar-lo per a la importació i exportació de totes les llibretes d'adreces del &kde;.

Quan s'invoca sense arguments &kabcclient; es posarà en mode de cerca i tractarà de fer coincidir qualsevol entrada que llegeixi des de l'entrada estàndard per a les entrades de contactes a la llibreta d'adreces del &kde;.

Característiques principals de &kabcclient;

- Llista tots els contactes de la llibreta d'adreces del &kde;

- Cerca de contactes que coincideixin amb l'entrada

- Insereix (afegeix) contactes

- Elimina (esborra) els contactes

- Fusiona (canvia) els contactes que coincideixen amb les noves dades

&kabcclient; no és una altre interfície gràfica d'usuari de la llibreta d'adreces del &kde; (&ead;, &kaddressbook;). &kabcclient; està destinat exclusivament per a usos en què una interfície gràfica d'usuari no és pràctica ni possible.

&kabcclient; no proporciona un llenguatge complet per a la realització de consultes de la llibreta d'adreces de l'usuari, ni és la intenció dels autors el escriure mai aquesta capacitat. Tot aquest processat es pot fer mitjançant altres eines de línia d'ordres o les pròpies capacitats del llenguatge d'script.

Per facilitar l'exhibició de les de les seves possibilitats, qualsevol opció que requereixi d'un argument es pot cridar amb el valor help. I llavors es llistaran tots els valors vàlids que podeu passar a aquesta opció.

## Característiques

En aquest capítol aprendreu sobre les característiques principals de &kabcclient; i com controlar-lo utilitzant els paràmetres de línia d'ordres (recordeu que &kabcclient; no és una interfície gràfica d'usuari, sinó que només és un programa de línia d'ordres).

Aprendreu sobre la inserció, eliminació i cerca de dades de contacte, i com utilitzar diferents formats d'entrada i de sortida.

### Llistar la llibreta d'adreces

Aquest és el mode d'operació més bàsic, iniciat amb l'opció `--list` o `-L`. &kabcclient; llistarà tots els contactes de la llibreta d'adreces del &kde;, escrivint les dades en la sortida estàndard del programa. La quantitat i el format de la sortida dependrà del format de sortida escollit.

Per a llistar tots els contactes com entrades vCard estàndard, simplement executeu:

    % kabcclient -L

Per obtenir només una línia per contacte, &pex;, per comptar, simplement executeu:

    % kabcclient -L -of uid

En el següent exemple, es llisten totes les adreces de correu electrònic:

    % kabcclient --list -of email

### Cerca de contactes que coincideixen amb les dades d'entrada

&kabcclient; pot prendre dades de la línia d'ordres o des de l'entrada estàndard del programa i comprovar les similituds contra tots els contactes a la llibreta d'adreces del &kde;. La cerca és el mode per omissió però es pot escollir de forma explícita amb l'argument `--search` o `-S` de la línia d'ordres.

En el següent exemple, tots els contactes amb rosa com a part de qualsevol camp de nom o adreça de correu electrònic s'escriurà a la sortida estàndard del programa, amb format vCard (ja que aquest és el valor per omissió per a l'opció `--output-format`):

    % kabcclient --search rosa

Mateixa consulta, aquesta vegada llegint la cadena de cerca des de l'entrada estàndard del programa:

    % echo rosa | kabcclient --search

La funció sensible a caixa de les consultes es pot activar amb l'opció `--match-case`.

### Afegir contactes

&kabcclient; permet afegir nous contactes a la llibreta d'adreces del &kde; utilitzant l'argument `--add` o `-A` de la línia d'ordres. Les dades es poden passar com a arguments addicionals de la línia d'ordres o llegides des de l'entrada estàndard. En cas d'èxit els contactes resultants s'escriuran a la sortida estàndard del programa. Atès que aquesta és una operació que aplica canvis a la llibreta d'adreces es pot executar en el mode «assaig» utilitzant l'opció `--nosave`.

Afegir un contacte amb nom i adreça de correu electrònic mitjançant la interpretació d'un argument de la línia d'ordres addicional com a dada d'entrada:

    % kabcclient --add --input-format email "Jordi Fal <j.fal@exemple.cat>"

Afegir tots els contactes d'un fitxer vCard llegit des de l'entrada estàndard del programa:

    % cat fitxer_exemple.vcf | kabcclient --add --input-format vcard

### Eliminar contactes

&kabcclient; permet eliminar contactes de la llibreta d'adreces del &kde; utilitzant l'argument `--remove` o `-R` de la línia d'ordres. Les dades d'entrada seran bàsicament una consulta com quan se cerca a la llibreta d'adreces. En cas d'èxit els contactes extrets s'escriuran a la sortida estàndard del programa. Atès que aquesta és una operació que aplica canvis a la llibreta d'adreces es pot executar en el mode «assaig» utilitzant l'opció `--nosave`.

Quan s'elimina quelcom de la llibreta d'adreces no es podrà desfer! En altres paraules, quan elimineu un contacte no podreu desfer l'acció! S'ha perdut per sempre.

Proveu eliminant tots els contactes amb rosa en qualsevol camp de nom de contacte o adreça de correu electrònic:

    % kabcclient --remove --nosave rosa

### Formats d'entrada i de sortida

&kabcclient; pot interpretar les dades d'entrada i de sortida d'acord amb diferents regles de format. Depenent de l'escenari realment utilitzat algunes combinacions fan el resultat més útil. Alguns dels formats entenen paràmetres addicionals per personalitzar encara més el seu comportament.

Com que les dades de text es poden codificar tant d'entrada com de sortida es poden sotmetre a una descodificació o codificació addicional, respectivament.

Totes les opcions de la línia d'ordres reaccionen amb el valor especial help per llistar els valors permesos.

#### El format vCard

vCard (RFC 2426) és el format estàndard per a les dades de contacte i com a tal pot presentar tota la informació d'altres aplicacions, com ara pot accedir a la llibreta d'adreces &kaddressbook;. Per tant, el format per omissió per al format de sortida.

#### Format amb els valors separats per comes (CSV)

El format de valors separats per comes es pot utilitzar com a format d'entrada per omplir les dades en el camp específic d'una entrada de contacte i com a format de sortida per reduir o canviar l'ordre de les dades per al seu posterior processament. Per permetre la suficient flexibilitat per a l'assignació de camps de contactes a les columnes CSV es pot especificar utilitzant fitxers de descripció de plantilla CSV també utilitzats per &kaddressbook; amb el mateix propòsit.

## Arguments de la línia d'ordres

&kabcclient; suporta les següents opcions:

Opció | Descripció
--- | ---
`--help, --help-all` | Mostra ajuda quant a les opcions del programa.
`--author` | Mostra informació sobre l'autor del programa.
`-v, --version` | Mostra informació sobre la versió del programa.
`--license` | Mostra informació sobre la llicència del programa.
`--verbose` | Imprimeix missatges d'utilitat en temps d'execució.
`--nosave` | Imprimeix el que faria, però no ho executa. No canvia res a la llibreta d'adreces del &kde;, no insereix, elimina, modifica cap contacte existent.
`--match-case` | Utilitza la coincidència sensible en comparar les dades d'entrada amb les dades de contacte a la llibreta d'adreces.
Modes principals d'operació:
`-L, --list` | Imprimeix tots els contactes en el format d'exportació especificat.
`-A, --add` | Insereix els contactes a la llibreta d'adreces.
`-R, --remove` | Elimina els contactes de la llibreta d'adreces.
`-M, --merge` | Fusiona les dades de l'entrada amb els contactes que coincideixen a la llibreta d'adreces.
Format i codificació:
`-if, --input-format` format | Com interpretar les dades d'entrada. Utilitzeu help per obtenir una llista de valors disponibles.
`-of, --output-format` format | Com donar format a les dades de sortida. Utilitza help per obtenir una llista de valors disponibles.
`-if-opts, --input-format-options` opcions | Opcions de personalització específiques del format d'entrada. Utilitza help per obtenir una llista de valors disponibles.
`-of-opts, --output-format-options` opcions | Opcions de personalització específiques del format de sortida. Utilitza help per obtenir una llista de valors disponibles.
`-ic, --input-codec` codificació | La codificació de text utilitzada per presentar les dades d'entrada. Utilitza help per obtenir una llista de valors disponibles.
`-oc, --output-codec` codificació | La codificació de text utilitzada per presentar les dades de sortida. Utilitza help per obtenir una llista de valors disponibles.

## Preguntes i respostes

&reporting.bugs; &updating.documentation;

Quin tipus de fitxers de configuració utilitza &kabcclient;?

Cap.

Quins són els noms de les aplicacions de &kabcclient;?

El nom de l'aplicació de &kabcclient; és kabcclient.

Com puc afegir la meva pregunta a aquesta &PMF;?

Envieu les vostres preguntes a kevin.krammer@gmx.at.

## Crèdits i llicència

&kabcclient; copyright del programa 2005-2008:

- Kevin Krammer kevin.krammer@gmx.at

Copyright de la documentació 2008:

- Kevin Krammer kevin.krammer@gmx.at

Traductor de la documentació: &credits.Antoni.Bella;

&underFDL; &underGPL;

## Instal·lació

### Com obtenir &kabcclient;

&install.intro.documentation;

&kabcclient; ve inclòs amb el &kde; 4 i no està disponible per separat.

### Requeriments

&kabcclient; requereix la instal·lació de les biblioteques estàndard de &kde; (els paquets `kdelibs` i `kdepimlibs`). Per compilar el codi font, també són necessaris els paquets de desenvolupament de &Qt;, `kdelibs` i `kdepimlibs`.

Podeu trobar una llista de canvis en el fitxer `ChangeLog`.

### Configuració

No es requereix cap configuració especial per executar &kabcclient; a l'escriptori &kde;.

&documentation.index;